Module org.firebirdsql.jaybird
Package org.firebirdsql.management

# Class FBUserManager

java.lang.Object
org.firebirdsql.management.FBServiceManager
org.firebirdsql.management.FBUserManager

All Implemented Interfaces:
  `AttachmentProperties`, `BaseProperties`, `ServiceConnectionProperties`, `ServiceManager`, `UserManager`

@Deprecated(since="6") public class FBUserManager extends FBServiceManager implements UserManager
Deprecated.
Use the SQL user management statements instead, we currently do not plan to remove this API
Implements the display/add/delete/modify user functionality of the Firebird Services API.

Author:
  Steven Jardine, Mark Rotteveel

- ## Field Summary

  ### Fields inherited from class org.firebirdsql.management.FBServiceManager

  `BUFFER_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FBUserManager()`
  Deprecated.
  Create a new instance of `FBMaintenanceManager` based on the default GDSType.
  `FBUserManager(String gdsType)`
  Deprecated.
  Create a new instance of `FBMaintenanceManager` based on a given GDSType.
  `FBUserManager(GDSType gdsType)`
  Deprecated.
  Create a new instance of `FBMaintenanceManager` based on a given GDSType.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(User user)`
  Deprecated.
  Add a user to the Firebird Security Database.
  `void`
  `delete(User user)`
  Deprecated.
  Delete a user to the Firebird Security Database.
  `void`
  `dropAdminRoleMapping()`
  Deprecated.
  Drops AUTO ADMIN MAPPING from role RDB$ADMIN in security database
  `Map<String,User>`
  `getUsers()`
  Deprecated.
  Return all valid users in the Firebird Security Database.
  `void`
  `setAdminRoleMapping()`
  Deprecated.
  Sets AUTO ADMIN MAPPING for role RDB$ADMIN in security database
  `void`
  `setSecurityDatabase(String securityDatabase)`
  Deprecated.
  Sets the security database and therefore overrides the per default used security database (e.g.
  `void`
  `update(User user)`
  Deprecated.
  Update a user to the Firebird Security Database.

  ### Methods inherited from class org.firebirdsql.management.FBServiceManager

  `attachDatabase, attachServiceManager, connectionPropertyValues, createRequestBuffer, executeServicesOperation, getAuthPlugins, getBooleanProperty, getCharSet, getDatabase, getDbCryptConfig, getExpectedDb, getHost, getIntProperty, getLogger, getPassword, getPort, getPortNumber, getProperty, getServerName, getServerVersion, getServiceName, getUser, getWireCrypt, getWireCryptAsEnum, isWireCompression, queueService, setAuthPlugins, setBooleanProperty, setCharSet, setDatabase, setDbCryptConfig, setExpectedDb, setHost, setIntProperty, setLogger, setPassword, setPort, setPortNumber, setProperty, setServerName, setServiceName, setType, setUser, setWireCompression, setWireCryptAsEnum`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

  `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEnableProtocol, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSocketFactory, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEnableProtocol, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSocketFactory, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

  `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.ServiceConnectionProperties

  `getExpectedDb, getServiceName, setExpectedDb, setServiceName`

  ### Methods inherited from interface org.firebirdsql.management.ServiceManager

  `getDatabase, getHost, getLogger, getPort, getServerVersion, getWireCryptAsEnum, setDatabase, setHost, setLogger, setPort, setWireCryptAsEnum`

- ## Constructor Details

  - ### FBUserManager

    public FBUserManager()
    Deprecated.
    Create a new instance of `FBMaintenanceManager` based on the default GDSType.

  - ### FBUserManager

    public FBUserManager(String gdsType)
    Deprecated.
    Create a new instance of `FBMaintenanceManager` based on a given GDSType.
    Parameters:
      `gdsType` - type must be PURE_JAVA, EMBEDDED, or NATIVE

  - ### FBUserManager

    public FBUserManager(GDSType gdsType)
    Deprecated.
    Create a new instance of `FBMaintenanceManager` based on a given GDSType.
    Parameters:
      `gdsType` - the GDS implementation type to use

- ## Method Details

  - ### add

    public void add(User user) throws SQLException, IOException
    Deprecated.
    Description copied from interface: `UserManager`
    Add a user to the Firebird Security Database.
    Specified by:
      `add` in interface `UserManager`
    Parameters:
      `user` - to the Firebird Security Database.
    Throws:
      `SQLException`
      `IOException`

  - ### delete

    public void delete(User user) throws SQLException, IOException
    Deprecated.
    Description copied from interface: `UserManager`
    Delete a user to the Firebird Security Database.
    Specified by:
      `delete` in interface `UserManager`
    Parameters:
      `user` - to the Firebird Security Database.
    Throws:
      `SQLException`
      `IOException`

  - ### update

    public void update(User user) throws SQLException, IOException
    Deprecated.
    Description copied from interface: `UserManager`
    Update a user to the Firebird Security Database.
    Specified by:
      `update` in interface `UserManager`
    Parameters:
      `user` - to the Firebird Security Database.
    Throws:
      `SQLException`
      `IOException`

  - ### getUsers

    public Map<String,User> getUsers() throws SQLException, IOException
    Deprecated.
    Description copied from interface: `UserManager`
    Return all valid users in the Firebird Security Database.
    Specified by:
      `getUsers` in interface `UserManager`
    Returns:
      all valid users in the Firebird Security Database.
    Throws:
      `SQLException`
      `IOException`

  - ### setSecurityDatabase

    public void setSecurityDatabase(String securityDatabase)
    Deprecated.
    Description copied from interface: `UserManager`
    Sets the security database and therefore overrides the per default used security database (e.g. security2.fdb)

    Supported since Firebird 2.1
    Specified by:
      `setSecurityDatabase` in interface `UserManager`
    Parameters:
      `securityDatabase` - name/path of securityDatabase

  - ### setAdminRoleMapping

    public void setAdminRoleMapping() throws SQLException, IOException
    Deprecated.
    Description copied from interface: `UserManager`
    Sets AUTO ADMIN MAPPING for role RDB$ADMIN in security database
    Specified by:
      `setAdminRoleMapping` in interface `UserManager`
    Throws:
      `SQLException`
      `IOException`

  - ### dropAdminRoleMapping

    public void dropAdminRoleMapping() throws SQLException, IOException
    Deprecated.
    Description copied from interface: `UserManager`
    Drops AUTO ADMIN MAPPING from role RDB$ADMIN in security database
    Specified by:
      `dropAdminRoleMapping` in interface `UserManager`
    Throws:
      `SQLException`
      `IOException`